Groovy 1.7.10

## org.codehaus.groovy.vmplugin.v6
[Java] Class PluginStaticGroovyMethods

    java.lang.Object
      org.codehaus.groovy.runtime.DefaultGroovyMethodsSupport
          org.codehaus.groovy.vmplugin.v6.PluginStaticGroovyMethods

    public class PluginStaticGroovyMethods
    extends DefaultGroovyMethodsSupport

This class defines new Java 6 specific static groovy methods which extend the normal JDK classes inside the Groovy environment.

Method Summary
`static ScriptEngine` | `$static_propertyMissing(ScriptEngineManager self, String languageShortName)` Provides a convenient shorthand for accessing a Scripting Engine with name `languageShortName` using a newly created `ScriptEngineManager` instance.

Methods inherited from class DefaultGroovyMethodsSupport
cloneSimilarCollection, cloneSimilarMap, closeQuietly, closeWithWarning, createSimilarCollection, createSimilarCollection, createSimilarList, createSimilarMap, createSimilarOrDefaultCollection, createSimilarSet, normaliseIndex, sameType, subListBorders, subListBorders

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### $static_propertyMissing

    public static ScriptEngine $static_propertyMissing(ScriptEngineManager self, String languageShortName)

  Provides a convenient shorthand for accessing a Scripting Engine with name `languageShortName` using a newly created `ScriptEngineManager` instance.
  Parameters:
    `self` - Placeholder variable used by Groovy categories; ignored for default static methods
    `languageShortName` - The short name of the scripting engine of interest
  Returns:
    the ScriptEngine corresponding to the supplied short name or null if no engine was found

Copyright © 2003-2010 The Codehaus. All rights reserved.